package com.trade.service.thirdparty.xiaotu.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "app.xiaotu")
public class XiaotuConfiguration {

    private String gatewayAppKey = "CAYK";
    private String ftype = "fa";
    private String accessClientId = "dditSaas";
    // 获取令牌的url
    private String getAccessTokenUrl;
    // 用户信息注册的url
    private String registerUserUrl;
    // 用户信息修改的url
    private String updateUserUrl;
    // 新增用户企业关系的url
    private String registerEnterpriseUrl;
    // 退税税率查询接口
    private String tsslcxUrl;
    // 海关税则查询接口
    private String hgszcxUrl;

    public String getGatewayAppKey() {
        return gatewayAppKey;
    }

    public void setGatewayAppKey(String gatewayAppKey) {
        this.gatewayAppKey = gatewayAppKey;
    }

    public String getFtype() {
        return ftype;
    }

    public void setFtype(String ftype) {
        this.ftype = ftype;
    }

    public String getAccessClientId() {
        return accessClientId;
    }

    public void setAccessClientId(String accessClientId) {
        this.accessClientId = accessClientId;
    }

    public String getGetAccessTokenUrl() {
        return getAccessTokenUrl;
    }

    public void setGetAccessTokenUrl(String getAccessTokenUrl) {
        this.getAccessTokenUrl = getAccessTokenUrl;
    }

    public String getRegisterUserUrl() {
        return registerUserUrl;
    }

    public void setRegisterUserUrl(String registerUserUrl) {
        this.registerUserUrl = registerUserUrl;
    }

    public String getUpdateUserUrl() {
        return updateUserUrl;
    }

    public void setUpdateUserUrl(String updateUserUrl) {
        this.updateUserUrl = updateUserUrl;
    }

    public String getRegisterEnterpriseUrl() {
        return registerEnterpriseUrl;
    }

    public void setRegisterEnterpriseUrl(String registerEnterpriseUrl) {
        this.registerEnterpriseUrl = registerEnterpriseUrl;
    }

    public String getTsslcxUrl() {
        return tsslcxUrl;
    }

    public void setTsslcxUrl(String tsslcxUrl) {
        this.tsslcxUrl = tsslcxUrl;
    }

    public String getHgszcxUrl() {
        return hgszcxUrl;
    }

    public void setHgszcxUrl(String hgszcxUrl) {
        this.hgszcxUrl = hgszcxUrl;
    }
}
